Package Details: subliminal-git 2.1.0.r22.g160ea63-4

Git Clone URL: https://aur.archlinux.org/subliminal-git.git (read-only, click to copy)
Package Base: subliminal-git
Description: Python library and CLI tool for searching and downloading subtitles.
Upstream URL: https://github.com/Diaoul/subliminal
Licenses: MIT
Conflicts: subliminal
Provides: subliminal
Submitter: acieroid
Maintainer: hcartiaux (yochananmarqos)
Last Packager: yochananmarqos
Votes: 31
Popularity: 0.084890
First Submitted: 2012-12-24 07:53
Last Updated: 2021-05-22 14:22

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 7 8 Next › Last »

hcartiaux commented on 2016-03-09 18:26

@CyberShadow: I came here for the same problem with yaourt and the missing dependencies of python-subliminal-git-docs

simonzack commented on 2016-03-03 18:27

@nikmil Thanks a lot on your work merging our packages. Sorry I totally forgot about this issue. Much appreciated!

wil93 commented on 2016-03-03 18:21

I get this:

ImportError: No module named 'babelfish'

whenever I try to makepkg this package.

CyberShadow commented on 2016-02-22 00:58

Aren't the python depends for python-subliminal-git-docs all actually makedepends, because sphynx seems to actually load the Python code when generating the documentation? Either way, building python-subliminal-git with yaourt fails when trying to build package_python-subliminal-git-docs, because the Python babelfish/requests/etc. libraries won't be installed.

nikmil commented on 2015-10-25 13:28

PKGBUILD is updated now. Users can switch between python2 and python3 using _python variable at buildtime. There's also a new 'nautilus-subliminal-git' package with the subliminal nautilus extension. Testers are needed and feedback is appreciated, as I don't use nautilus.

nikmil commented on 2015-10-23 19:22

Hi! :) I took a look at your PKGBUILD and I'm thinking we should merge this one with subliminal-git. It'll be easier to maintain both versions (py2 and py3) in one place, and less confusing for users and developers. Here's the PKGBUILD I have in mind: http://pastebin.com/X4P3rLaL

nikmil commented on 2015-10-23 19:15

Sorry everyone, due to a bad case of pneumonia, I wasn't really able to pay attention to AUR over the past two months. Expect an updated PKGBUILD (both with a python2 and a python3 package) in the next couple of days.

@simonzack: I took a look at your python3 PKGBUILD and I'm thinking we should merge them. It'll be easier to maintain both versions (py2 and py3) in one place, and less confusing for users and developers. I'll send you an email later with the PKGBUILD I had in mind.

@Diaoul: The Nautilus extension you're talking about is the one in the develop branch? I agree, that should definitely be a separate package. I'll take a look and see what I can do, as I have very little experience with GNOME and Nautilus. In the meantime, I took the liberty to package the git versions of enzyme and babelfish :) Thank you for your good work!

BrainDamage commented on 2015-09-11 11:45

please update dep array:
python2-dogpile-cache -> python2-dogpile.cache
python2-dogpile-core -> python2-dogpile.core
so that official packages can be used instead of aur's

simonzack commented on 2015-09-06 02:55

Uploaded my own aur build based on yours, couldn't wait :D But you're welcome to maintain the python 3 version if you want.

simonzack commented on 2015-09-06 01:13

For python 3 guessit and babelfish are missing.